explain_fputs_or_die(3)

NAME
explain_fputs_or_die - write a string to a stream and report errors
    "write a string to a stream and report errors"

SYNOPSIS
#include <libexplain/fputs.h>

void explain_fputs_or_die(const char *s, FILE *fp);
int explain_fputs_on_error(const char *s, FILE *fp);

DESCRIPTION
The explain_fputs_or_die function is used to call the fputs(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fputs(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_fputs_on_error function is used to call the fputs(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fputs(3) function, but still returns to the caller.

s   The s, exactly as to be passed to the fputs(3) system call.

fp  The fp, exactly as to be passed to the fputs(3) system call.

RETURN VALUE
The explain_fputs_or_die function only returns on success, see fputs(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_fputs_on_error function always returns the value return by the wrapped fputs(3) system call.

EXAMPLE
The explain_fputs_or_die function is intended to be used in a fashion similar to the following example:
    explain_fputs_or_die(s, fp);

SEE ALSO

fputs(3)
    write a string to a stream

explain_fputs(3)
    explain fputs(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2009 Peter Miller